#ifndef MSRFUNC_H
#define MSRFUNC_H

#pragma pack(1)

#include "IsNT.h"

void Ring0ReadMSR();

void Ring0WriteMSR();

int CallRing0(PVOID pvRing0FuncAddr,ULONG ulECX,ULONG* pulEAX,ULONG* pulEDX);

int WINAPI _ReadMSR(ULONG ulECX, ULONG* ulEAX, ULONG* ulEDX);

int WINAPI _WriteMSR(ULONG ulECX, ULONG* ulEAX, ULONG* ulEDX);

extern  __declspec (dllexport) BOOL ReadMSR(ULONG ulECX,ULONG* pulEAX,ULONG* pulEDX);

extern  __declspec (dllexport) BOOL WriteMSR(ULONG ulECX,ULONG* pulEAX,ULONG* pulEDX);

#pragma pack()

#endif